import java.util.*;

public class TestAufzaehlung {
   // Instanzvariablen
   Wochentag bsp1, bsp2;
   Anrede bsp3, bsp4 ;

   // Konstruktor fr Objekte der Klasse TestAufzaehlung
   public TestAufzaehlung() {
      bsp1 = Wochentag.MONTAG ;
      bsp2 = Wochentag.MITTWOCH ;
      
      bsp3 = Anrede.HERR ;
      bsp4 = Anrede.FRAU ;
   }
   
   public void methodenWochentag() {
      System.out.println("Name:               " + bsp1.name()) ;
      System.out.println("Ordinalzahl:        " + bsp1.ordinal()) ;
      System.out.println("Methode toString(): " + bsp1.toString()) ;
      System.out.println() ;
      
      System.out.println("Name:               " + bsp2.name()) ;
      System.out.println("Ordinalzahl:        " + bsp2.ordinal()) ;
      System.out.println("Methode toString(): " + bsp2.toString()) ;
      System.out.println() ;
   }

      public void methodenAnrede() {
      System.out.println("Name:               " + bsp3.name()) ;
      System.out.println("Ordinalzahl:        " + bsp3.ordinal()) ;
      System.out.println("Methode toString(): " + bsp3.toString()) ;
      System.out.println() ;

      System.out.println("Name:               " + bsp4.name()) ;
      System.out.println("Ordinalzahl:        " + bsp4.ordinal()) ;
      System.out.println("Methode toString(): " + bsp4.toString()) ;
      System.out.println() ;
}


   // Instanzmethoden
   public void drucke(Wochentag w) {
      System.out.println("Wochentag: " + w.toString());
      System.out.println(w);
   }
   
   public void vergleicheWochentag(Wochentag w1, Wochentag w2) {
      if (w1.equals(w2)) {
         System.out.println("Wochentage sind identisch");
      } else {
         System.out.println("ungleiche Wochentage");
      }
   }

   public void pruefeWochenende(Wochentag w) {
      if (w.istWochenende()) {
         System.out.println("Wochentag liegt auf einem Wochenende");
      } else {
         System.out.println("Wochentag ist in der Woche");
      }
   }

   public void druckeWochentage() {
      for (Wochentag tag : bsp1.values()) {
         System.out.println(tag);
      }
   }

}